#ifndef __DIALOG_TV_H
#define __DIALOG_TV_H

#include "dtk_widget.h"
#include "dtk_button.h"
#include "dtk_checkbox.h"
#include "camera.h"

class Devsec;

class DialogTV : public Widget {
public:
	DialogTV(Widget *parent, int x, int y, int w, int h,
			int numCameras, Camera **c, Devsec *d);
	virtual ~DialogTV();

	virtual int entering();
	virtual int leaving();

	virtual int OnLayoutPressed(Button *layout, int num);
	virtual int OnCyclingPressed();
	virtual int OnListPressed(int cameraNo, int flag);

protected:
	virtual int FillPanel();
	virtual int CreateWindows();

	static void LayoutCallback(Object *o, TEvent *e, void *d1, void *d2);
	static void CyclingCallback(Object *o, TEvent *e, void *d1, void *d2);
	static void ListCallback(Object *o, TEvent *e, void *d1, void *d2);

	Devsec *mApp;
	Camera **mCameras;
	int mNumCameras;
	int mLayout;
	Button *mCurrentLayout;

	Button *mLayout1;
	Button *mLayout2;
	Button *mLayout3;
	Button *mLayout4;
	Button *mLayout5;
	Button *mLayout6;
	Button *mLayout7;
	Button *mLayout8;

	CheckBox *mCycling;

};

#endif
