#include "layouts.h"

struct LAYOUT layout[] = {
	{ // layout 1
		{
			{ 1, 0, 0, DOUBLE_WIDTH, DOUBLE_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT } 
		}
	},
	{ // layout 2
		{
			{ 1, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 1, NORMAL_WIDTH, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 1, 0, NORMAL_HEIGHT, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 1, NORMAL_WIDTH, NORMAL_HEIGHT, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT } 
		}
	},
	{ // layout 3
		{
			{ 1, 0, 0, FOURTHIRD_WIDTH, FOURTHIRD_HEIGHT },
			{ 1, FOURTHIRD_WIDTH, 0, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, FOURTHIRD_WIDTH, TWOTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, 0, FOURTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, TWOTHIRD_WIDTH, FOURTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, FOURTHIRD_WIDTH, FOURTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT } 
		}
	},
	{ // layout 4
		{
			{ 1, 0, 0, SIXQUATER_WIDTH, SIXQUATER_HEIGHT },
			{ 1, SIXQUATER_WIDTH, 0, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, HALF_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, 0, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT } 
		}
	},
	{ // layout 5
		{
			{ 1, 0, 0, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, TWOTHIRD_WIDTH, 0, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, FOURTHIRD_WIDTH, 0, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, 0, TWOTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, FOURTHIRD_WIDTH, TWOTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, 0, FOURTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, TWOTHIRD_WIDTH, FOURTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 1, FOURTHIRD_WIDTH, FOURTHIRD_HEIGHT, TWOTHIRD_WIDTH, TWOTHIRD_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT } 
		}
	},
	{ // layout 6
		{
			{ 1, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 1, NORMAL_WIDTH, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 1, 0, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, 0, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT } 
		}
	},
	{ // layout 7
		{
			{ 1, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 1, NORMAL_WIDTH, 0, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, 0, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, HALF_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, HALF_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, 0, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, 0, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT },
			{ 0, 0, 0, NORMAL_WIDTH, NORMAL_HEIGHT } 
		}
	},
	{ // layout 8
		{
			{ 1, 0, 0, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, 0, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, 0, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, 0, HALF_WIDTH, HALF_HEIGHT },
			{ 1, 0, HALF_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, HALF_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, HALF_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, HALF_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, 0, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, NORMAL_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, 0, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, HALF_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, NORMAL_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT },
			{ 1, SIXQUATER_WIDTH, SIXQUATER_HEIGHT, HALF_WIDTH, HALF_HEIGHT }
		}
	}
};

