#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <dirent.h>
#include <sys/stat.h>
#include <unistd.h>

int my_system(char *cmd);

void check_log()
{
	struct stat buf;
	if (stat("/streams/log.error.log", &buf) == -1) return;

	if (buf.st_blocks * buf.st_blksize > 200 * 1024) {
		unlink("/streams/log/error.log.old");
		rename("/streams/log/error.log", "/streams/log/error.log.old");
	}
}

void write_log(char *msg)
{
	struct tm tm;
	time_t t;
	FILE *f;

	check_log();
	my_system("mkdir -p /streams/log");
	f = fopen("/streams/log/error.log", "a");
	if (f == NULL) {
		fprintf(stderr, "cannot open error log\n");
		return;
	}
	t = time(NULL);
	localtime_r(&t, &tm);

	fprintf(stderr, "%02d:%02d:%02d on %02d/%02d/%04d %s\n",
			tm.tm_hour, tm.tm_min, tm.tm_sec,
			tm.tm_mday, tm.tm_mon + 1, tm.tm_year + 1900,
			msg);
	fprintf(f, "%02d:%02d:%02d on %02d/%02d/%04d %s\n",
			tm.tm_hour, tm.tm_min, tm.tm_sec,
			tm.tm_mday, tm.tm_mon + 1, tm.tm_year + 1900,
			msg);
	fflush(f);
	fclose(f);
}

