#define __STDC_LIMIT_MACROS

#include "mp4live.h"
#include "event.h"

CLiveConfig *MyConfig;
CPreviewAVMediaFlow *AVFlow;
CEvent *MyEvents;

static bool started = false;

static Timestamp StartTime;
static Timestamp StopTime;
static Duration FlowDuration;
static u_int32_t StartEncodedFrameNumber;
static u_int64_t StartFileSize;
static u_int64_t StopFileSize;

void StartStreaming()
{
	MyConfig->SetBoolValue(CONFIG_VIDEO_ENABLE, true);
	AVFlow->Start();
	started = true;
}

int tsrep_main(int argc, char **argv, CLiveConfig *pConfig)
{
	MyConfig = pConfig;

	AVFlow = new CPreviewAVMediaFlow(pConfig);

	StartStreaming();
}
