#ifndef __FILELISTVIEW_H
#define __FILELISTVIEW_H

#include "dtk_listview.h"

#define FILELISTVIEW_DIRECTORIES	1
#define FILELISTVIEW_FILES		2

class FileListView : public ListView {
public:
	FileListView(Widget *parent, int x, int y, int w, int h);
	virtual ~FileListView();

	virtual int SetFileTypes(int fType);
	virtual int SetDirectory(char *directory);
	virtual char *GetSelected();
	virtual int RescanDirectory();
protected:
	int mFileTypes;
	char *mDirectory;
};

#endif
