#ifndef __METER_H
#define __METER_H

#include "dtk_widget.h"

#define METER_BACKGROUND 0
#define METER_LEVEL 1

#ifndef HORIZONTAL
#define HORIZONTAL 0
#define VERTICAL 1
#endif

class Meter : public Widget {
public:
	Meter(Widget *parent, int x, int y, int w, int h, int orientation);
	virtual ~Meter();
	virtual int SetPercent(double percent);
	virtual int SetPixmap(Pixmap p, int type);

protected:
	double mPercent;
	Widget *mBar;
	int mOrientation;
};

#endif
