#ifndef __WIDGET_H
#define __WIDGET_H

#include "dtk_basewidget.h"
#include "dtk_tooltip.h"

class Widget : public BaseWidget {
public:
	Widget() {};
	Widget(BaseWidget *parent, int x, int y, int w, int h);
	virtual ~Widget();
	virtual int EventHandler(TEvent *ev);
	virtual int SetToolTipText(char *text);
	virtual Widget *GetTopLevelWidget();
protected:
	virtual int ShowToolTip(int x, int y);
	virtual int HideToolTip();
	
	ToolTip *mToolTip;
	char *mToolTipText;
};

#endif
