#include "dtk_skin.h"
#include "dialog_about.h"

DialogAbout::DialogAbout(Widget *parent, int x, int y, int w, int h,
		int numCameras, Camera **c, Devsec *d)
	: Widget(parent, x, y, w, h)
{
	mApp = d;
	mCameras = c;
	mNumCameras = numCameras;
	CreateWindows();
	SetText("© 2005 Peter Hartshorn", 4, h-8);
	SetColor(0xe600, 0xf700, 0xff00);
	mText++;
}

DialogAbout::~DialogAbout()
{
}

int DialogAbout::entering()
{
	return 0;
}

int DialogAbout::leaving()
{
	return 0;
}

int DialogAbout::CreateWindows()
{
	int x, y;
	x = (mW - 595) / 2;
	y = (mH - 350) / 2;
	mSplash = new Widget(this, x, y, 595, 350);
	mSplash->Show();
	mSplash->DrawFrame(0);
	mSplash->SetPixmap(Skin::GetSkinPixmap(CONFIG_ABOUT));
	return 0;
}
