#ifndef __DIALOG_SYSTEM_H
#define __DIALOG_SYSTEM_H

#include "dtk_widget.h"
#include "dtk_spinbox.h"
#include "dtk_button.h"
#include "dtk_textentry.h"

class Devsec;

class DialogSystem : public Widget {
public:
	DialogSystem(Widget *parent, int x, int y, int w, int h, Devsec *d);
	virtual ~DialogSystem();

	virtual int entering();
	virtual int leaving();

	virtual int Show();
	virtual int Hide();

protected:
	virtual int CreateWindows();

	Devsec *mApp;

	TextEntry *mStreamDirectory;
	TextEntry **mButtonFunctions;
	
};

#endif
