#ifndef __SOCKET_H
#define __SOCKET_H

// Define ISSERVER if the backend is to be the server

class Socket {
public:
	Socket(char *sockname);
	virtual ~Socket();
	virtual int read(char *buf, unsigned int length);
	virtual int write(char *buf, unsigned int length);
	virtual int pending();
protected:
#ifdef ISSERVER
	int mListenFD;
#endif
	int mSockFD;
	char *mSockName;
};
#endif
