#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "tsrep_options.h"

char *TsrepOpts::mPidFile = NULL;
char *TsrepOpts::mSockFile = NULL;
char *TsrepOpts::mOutput = NULL;

int TsrepOpts::SetPidFile(char *pidfile)
{
	if (pidfile == NULL) return -1;
	if (mPidFile) free((void*)mPidFile);
	mPidFile = strdup(pidfile);
	return 0;
}

int TsrepOpts::SetSockFile(char *sockfile)
{
	if (sockfile == NULL) return -1;
	if (mSockFile) free((void*)mSockFile);
	mSockFile = strdup(sockfile);
	return 0;
}

int TsrepOpts::SetOutput(char *output)
{
	if (output == NULL) return -1;
	if (mOutput) free((void*)mOutput);
	mOutput = strdup(output);
	return 0;
}
