#ifndef __TSREP_COM_H
#define __TSREP_COM_H

#ifndef FRAME_HEADER
#define FRAME_HEADER

struct frame_header {
	int frame_no;
	int format;
	int width;
	int height;
	unsigned long length;
};

struct ts_frame {
	struct frame_header fh;
	unsigned char *data;
};
#endif

int send_message_to_frontend(char *message);

#ifdef __cplusplus
extern "C" {
#endif
int tsrep_com_open_pipe();
int tsrep_com_close_pipe();
int tsrep_com_send_frame(struct ts_frame *f);
#ifdef __cplusplus
};
#endif

extern char *pipeName;
#endif
