#ifndef __APPLICATION_H
#define __APPLICATION_H

#include "dtk_object.h"
#include "dtk_dialog.h"

#include <X11/X.h>
#include <X11/Xlib.h>

class Application : public Object {
public:
	Application();
	virtual ~Application();
	virtual int Init();
	virtual int RunOnce();
	virtual int Run();
	virtual int RunDialog(Dialog *dlg);
	static int Quit();
protected:
	static int sQuit;
};

#endif
