#ifndef __DIALOG_H
#define __DIALOG_H

#include "dtk_widget.h"

#define DIALOG_BUTTON_NONE 0
#define DIALOG_BUTTON_OK 1
#define DIALOG_BUTTON_CANCEL 2
#define DIALOG_BUTTON_YES 4
#define DIALOG_BUTTON_NO 8
#define DIALOG_BUTTON_OKCANCEL 3
#define DIALOG_BUTTON_YESNO 12

class Dialog : public Widget {
public:
	Dialog(Widget *mainWindow, Widget *parent,
			int x, int y, int w, int h, int buttons);
	virtual ~Dialog();
	virtual int CreateWindow();
	virtual int OnButtonPressed(int button);
	virtual int GetResult();
protected:
	static void ButtonCallback(Object *o,TEvent *e,void *data1,void *data2);

	int mButtons;
	int mResponse;
};

#endif
