#ifndef __SOCKET_H
#define __SOCKET_H

#include "dtk_object.h"

class Socket : public Object {
public:
	Socket();
	virtual ~Socket();
	virtual int EventHandler(TEvent *ev);
	virtual int Connect(char *sockname);
	virtual int Disconnect();
	virtual int Write(char *buffer);
	virtual int Read(char *buffer, int length);
	virtual int Pending();
protected:
	int mPending;
	int mSockFD;
	int mListenFD;
	int mConnected;
};

class SocketClient : public Socket {
public:
	SocketClient() {};
	virtual ~SocketClient() {};
	virtual int EventHandler(TEvent *ev);
	virtual int Connect(char *sockname);
};

#endif
