#ifndef __SKIN_H
#define __SKIN_H

#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/xpm.h>

#define TOOLBAR		0
#define STATUSBAR	1
#define BUTTON_NORMAL	2
#define BUTTON_HOVER	3
#define BUTTON_PRESSED	4
#define OK_NORMAL	5
#define OK_HOVER	6
#define OK_PRESSED	7
#define CANCEL_NORMAL	8
#define CANCEL_HOVER	9
#define CANCEL_PRESSED	10
#define CHECK_OFF	11
#define CHECK_ON	12
#define CHECK_HOVER	13
#define SPINDOWN_NORMAL	14
#define SPINDOWN_HOVER	15
#define SPINDOWN_PRESSED	16
#define SPINUP_NORMAL	17
#define SPINUP_HOVER	18
#define SPINUP_PRESSED	19
#define SLIDER_NORMAL	20
#define SLIDER_HOVER	21
#define SLIDER_PRESSED	22
#define HSLIDER_TRACK	23
#define VSLIDER_TRACK	24
#define TEXT_BACK	25
#define COMBOBTN_NORMAL	26
#define COMBOBTN_HOVER	27
#define COMBOBTN_PRESSED	28
#define MENU_NORMAL	29
#define MENU_HOVER	30
#define MENU_PRESSED	31
#define TOOLTIP		32

#define LAST_STANDARD	33

/* User Defined */
#define VIEW1_NORMAL	0 + LAST_STANDARD
#define VIEW1_HOVER	1 + LAST_STANDARD
#define VIEW1_PRESSED	2 + LAST_STANDARD
#define VIEW2_NORMAL	3 + LAST_STANDARD
#define VIEW2_HOVER	4 + LAST_STANDARD
#define VIEW2_PRESSED	5 + LAST_STANDARD
#define VIEW3_NORMAL	6 + LAST_STANDARD
#define VIEW3_HOVER	7 + LAST_STANDARD
#define VIEW3_PRESSED	8 + LAST_STANDARD
#define VIEW4_NORMAL	9 + LAST_STANDARD
#define VIEW4_HOVER	10 + LAST_STANDARD
#define VIEW4_PRESSED	11 + LAST_STANDARD
#define VIEW5_NORMAL	12 + LAST_STANDARD
#define VIEW5_HOVER	13 + LAST_STANDARD
#define VIEW5_PRESSED	14 + LAST_STANDARD
#define VIEW6_NORMAL	15 + LAST_STANDARD
#define VIEW6_HOVER	16 + LAST_STANDARD
#define VIEW6_PRESSED	17 + LAST_STANDARD
#define VIEW7_NORMAL	18 + LAST_STANDARD
#define VIEW7_HOVER	19 + LAST_STANDARD
#define VIEW7_PRESSED	20 + LAST_STANDARD
#define VIEW8_NORMAL	21 + LAST_STANDARD
#define VIEW8_HOVER	22 + LAST_STANDARD
#define VIEW8_PRESSED	23 + LAST_STANDARD
#define FULLSCREEN_NORMAL	24 + LAST_STANDARD
#define FULLSCREEN_HOVER	25 + LAST_STANDARD
#define FULLSCREEN_PRESSED	26 + LAST_STANDARD
#define CYCLE_NORMAL	27 + LAST_STANDARD
#define CYCLE_HOVER	28 + LAST_STANDARD
#define CYCLE_PRESSED	29 + LAST_STANDARD
#define CONFIG_NORMAL	30 + LAST_STANDARD
#define CONFIG_HOVER	31 + LAST_STANDARD
#define CONFIG_PRESSED	32 + LAST_STANDARD
#define FIXATE_NORMAL	33 + LAST_STANDARD
#define FIXATE_HOVER	34 + LAST_STANDARD
#define FIXATE_PRESSED	35 + LAST_STANDARD

#define BTNGLOBAL_NORMAL	36 + LAST_STANDARD
#define BTNGLOBAL_HOVER		37 + LAST_STANDARD
#define BTNGLOBAL_PRESSED	38 + LAST_STANDARD
#define BTNCAMERAS_NORMAL	39 + LAST_STANDARD
#define BTNCAMERAS_HOVER	40 + LAST_STANDARD
#define BTNCAMERAS_PRESSED	41 + LAST_STANDARD
#define BTNTV_NORMAL		42 + LAST_STANDARD
#define BTNTV_HOVER		43 + LAST_STANDARD
#define BTNTV_PRESSED		44 + LAST_STANDARD
#define BTNUSERS_NORMAL		45 + LAST_STANDARD
#define BTNUSERS_HOVER		46 + LAST_STANDARD
#define BTNUSERS_PRESSED	47 + LAST_STANDARD
#define BTNMOTION_NORMAL	48 + LAST_STANDARD
#define BTNMOTION_HOVER		49 + LAST_STANDARD
#define BTNMOTION_PRESSED	50 + LAST_STANDARD
#define CONFIG_TOOLBAR		51 + LAST_STANDARD
#define CONFIG_HDR_GLOBAL	52 + LAST_STANDARD
#define CONFIG_HDR_CAMERAS	53 + LAST_STANDARD
#define CONFIG_HDR_TV		54 + LAST_STANDARD
#define CONFIG_HDR_USERS	55 + LAST_STANDARD
#define CONFIG_HDR_MOTION	56 + LAST_STANDARD
#define CONFIG_ABOUT		57 + LAST_STANDARD
#define LAYOUT1_NORMAL		58 + LAST_STANDARD
#define LAYOUT1_HOVER		59 + LAST_STANDARD
#define LAYOUT1_PRESSED		60 + LAST_STANDARD
#define LAYOUT2_NORMAL		61 + LAST_STANDARD
#define LAYOUT2_HOVER		62 + LAST_STANDARD
#define LAYOUT2_PRESSED		63 + LAST_STANDARD
#define LAYOUT3_NORMAL		64 + LAST_STANDARD
#define LAYOUT3_HOVER		65 + LAST_STANDARD
#define LAYOUT3_PRESSED		66 + LAST_STANDARD
#define LAYOUT4_NORMAL		67 + LAST_STANDARD
#define LAYOUT4_HOVER		68 + LAST_STANDARD
#define LAYOUT4_PRESSED		69 + LAST_STANDARD
#define LAYOUT5_NORMAL		70 + LAST_STANDARD
#define LAYOUT5_HOVER		71 + LAST_STANDARD
#define LAYOUT5_PRESSED		72 + LAST_STANDARD
#define LAYOUT6_NORMAL		73 + LAST_STANDARD
#define LAYOUT6_HOVER		74 + LAST_STANDARD
#define LAYOUT6_PRESSED		75 + LAST_STANDARD
#define LAYOUT7_NORMAL		76 + LAST_STANDARD
#define LAYOUT7_HOVER		77 + LAST_STANDARD
#define LAYOUT7_PRESSED		78 + LAST_STANDARD
#define LAYOUT8_NORMAL		79 + LAST_STANDARD
#define LAYOUT8_HOVER		80 + LAST_STANDARD
#define LAYOUT8_PRESSED		81 + LAST_STANDARD
#define RIGHT_TOOLBAR		82 + LAST_STANDARD
#define BROWSE_NORMAL		83 + LAST_STANDARD
#define BROWSE_HOVER		84 + LAST_STANDARD
#define BROWSE_PRESSED		85 + LAST_STANDARD
#define CDBAKE_NORMAL		86 + LAST_STANDARD
#define CDBAKE_HOVER		87 + LAST_STANDARD
#define CDBAKE_PRESSED		88 + LAST_STANDARD
#define DIRSTAT_NORMAL		89 + LAST_STANDARD
#define DIRSTAT_HOVER		90 + LAST_STANDARD
#define DIRSTAT_PRESSED		91 + LAST_STANDARD
#define KFIND_NORMAL		92 + LAST_STANDARD
#define KFIND_HOVER		93 + LAST_STANDARD
#define KFIND_PRESSED		94 + LAST_STANDARD
#define MPLAYER_NORMAL		95 + LAST_STANDARD
#define MPLAYER_HOVER		96 + LAST_STANDARD
#define MPLAYER_PRESSED		97 + LAST_STANDARD
#define NETWORK_NORMAL		98 + LAST_STANDARD
#define NETWORK_HOVER		99 + LAST_STANDARD
#define NETWORK_PRESSED		100 + LAST_STANDARD
#define POWER_NORMAL		101 + LAST_STANDARD
#define POWER_HOVER		102 + LAST_STANDARD
#define POWER_PRESSED		103 + LAST_STANDARD
#define SCREENCAPTURE_NORMAL	104 + LAST_STANDARD
#define SCREENCAPTURE_HOVER	105 + LAST_STANDARD
#define SCREENCAPTURE_PRESSED	106 + LAST_STANDARD
#define SYSINFO_NORMAL		107 + LAST_STANDARD
#define SYSINFO_HOVER		108 + LAST_STANDARD
#define SYSINFO_PRESSED		109 + LAST_STANDARD
#define TIME_NORMAL		110 + LAST_STANDARD
#define TIME_HOVER		111 + LAST_STANDARD
#define TIME_PRESSED		112 + LAST_STANDARD
#define TRASH_NORMAL		113 + LAST_STANDARD
#define TRASH_HOVER		114 + LAST_STANDARD
#define TRASH_PRESSED		115 + LAST_STANDARD
#define METER_NORMAL		116 + LAST_STANDARD
#define METER_HIGH		117 + LAST_STANDARD
#define METER_CRITICAL		118 + LAST_STANDARD
#define CONFIG_HDR_SYSTEM	119 + LAST_STANDARD

#define PIXMAPS		120 + LAST_STANDARD

#define OK		0
#define MYBAD		1

#define NOPIXMAP	0

#define INFO_NAME	0
#define INFO_AUTH	1
#define INFO_DESC	2

#ifdef __cplusplus
extern "C" {
#endif

extern int (*skin_init)(Display *display);
extern int (*skin_done)();
extern int (*skin_get_info)(int infotype, char *buffer, int length);
extern int (*skin_draw_image)(Display *display, Drawable d, unsigned long button);
extern Pixmap (*skin_get_pixmap)(Display *display, unsigned long button);

void *skin_load_so(char *so);
int skin_unload_so(void *handle);

#ifdef __cplusplus
}
#endif

#endif
