#include <stdio.h>
#include "dtk_checkbox.h"

CheckBox::CheckBox(Widget *parent, int x, int y)
	: Button(parent, x, y, 16, 16)
{
	SetToggleMode(1);
        SetPixmap(Skin::GetSkinPixmap(CHECK_OFF), STATE_NORMAL);
        SetPixmap(Skin::GetSkinPixmap(CHECK_ON), STATE_PRESSED);
}

int CheckBox::Draw()
{
	if (mState == STATE_HOVER) {
		if (mToggled) mState = STATE_PRESSED;
		else mState = STATE_NORMAL;
	}
	return Button::Draw();
}
