#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "dtk_filelistview.h"

FileListView::FileListView(Widget *parent, int x, int y, int w, int h)
	: ListView(parent, x, y, w, h)
{
	mDirectory = NULL;
	mFileTypes = 0;
}

FileListView::~FileListView()
{
	if (mDirectory) free((void*)mDirectory);
}

int FileListView::SetFileTypes(int fType)
{
	mFileTypes = fType;
	RescanDirectory();
	return 0;
}

int FileListView::SetDirectory(char *directory)
{
	if (mDirectory) {
		free((void*)mDirectory);
		mDirectory = NULL;
	}
	mDirectory = (directory ? strdup(directory) : NULL);
	RescanDirectory();
	return 0;
}

char *FileListView::GetSelected()
{
	fprintf(stderr, "implement me\n");
	return NULL;
}

int FileListView::RescanDirectory()
{
	fprintf(stderr, "implement me\n");
	return 0;
}
