#include <stdlib.h>
#include <stdio.h>

#include "dtk_widget.h"
#include "dtk_skin.h"
#include "skin_interface.h"

#include "config.h"

#include <X11/X.h>
#include <X11/Xlib.h>

void *Skin::mHandle = 0;

Skin::Skin()
{
}

Skin::~Skin()
{
}

int Skin::OpenSkin(char *so)
{
	if (!mHandle) {
		char buf[256];
		snprintf(buf, 256, DTK_SKINDIR "/%s", so);
		mHandle = skin_load_so(buf);
		if (mHandle) skin_init(Widget::GetXDisplay());
	}
	return 0;
}

Pixmap Skin::GetSkinPixmap(unsigned long pixmap)
{

	Display *d = Widget::GetXDisplay();
	if (skin_get_pixmap == NULL) return 0;
	return skin_get_pixmap(d, pixmap);
}

